Package com.tietoenator.trip.jxp.control

# Class TdbDatabaseList

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.TdbMessageProvidingList<TdbControlObject>
com.tietoenator.trip.jxp.control.TdbControlObjectList
com.tietoenator.trip.jxp.control.TdbDatabaseList

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`, `Iterable<TdbControlObject>`, `Collection<TdbControlObject>`, `List<TdbControlObject>`, `SequencedCollection<TdbControlObject>`

public class TdbDatabaseList extends TdbControlObjectList
Represents a list of databases to which the calling process has some level of access.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbDatabaseList(TdbSession session)`
  Request a list of all databases to which the calling process has at least read access.
  `TdbDatabaseList(TdbSession session, TdbExtendedDatabaseType type)`
  Request a list of all databases of the stated type to which the calling process has at least read access.
  `TdbDatabaseList(TdbSession session, TdbExtendedDatabaseType type, boolean noBaf)`
  Deprecated.
  Migrate to constructor TdbDatabaseList(TdbSession, TdbExtendedDatabaseType, TdbDatabaseListType)
  `TdbDatabaseList(TdbSession session, TdbExtendedDatabaseType dbType, TdbDatabaseListType listType)`
  Request a list of all databases of the stated type to which the calling process has at least read access.
  `TdbDatabaseList(TdbSession session, String name)`
  Request a control object for a single, specific database, thesauri or cluster to which the calling process has at least read access.
  `TdbDatabaseList(TdbSession session, String name, boolean noBaf)`
  Request a control object for a single, specific database, thesauri or cluster to which the calling process has at least read access.

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.control.TdbControlObjectList

  `contains, contains, get, refresh, transform`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvidingList

  `add, add, addAll, addAll, clear, contains, containsAll, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addFirst, addLast, equals, getFirst, getLast, hashCode, removeFirst, removeLast, replaceAll, reversed, sort, spliterator`

- ## Constructor Details

  - ### TdbDatabaseList

    public TdbDatabaseList(TdbSession session) throws TdbException
    Request a list of all databases to which the calling process has at least read access.
    Parameters:
      `session` - Bounding session
    Throws:
      `TdbException`

  - ### TdbDatabaseList

    public TdbDatabaseList(TdbSession session, TdbExtendedDatabaseType type) throws TdbException
    Request a list of all databases of the stated type to which the calling process has at least read access.
    Parameters:
      `session` - Bounding session
      `type` - Database type
    Throws:
      `TdbException`

  - ### TdbDatabaseList

    @Deprecated public TdbDatabaseList(TdbSession session, TdbExtendedDatabaseType type, boolean noBaf) throws TdbException
    Deprecated.
    Migrate to constructor TdbDatabaseList(TdbSession, TdbExtendedDatabaseType, TdbDatabaseListType)
    Request a list of all databases of the stated type to which the calling process has at least read access.

    Setting the 'noBaf' parameter to true will result in the list being produced somewhat faster. However, information that is solely stored in the BAF file will not be returned. This includes the record count, which instead will be reported as the last total number of indexed records (any unindexed records will not be reported). Neither will the time for the last database update be reported.

    Note that the 'noBaf' parameter requires TRIPsystem 7.0.1 or later, and that databases must be reindexed with in order for the count of indexed records to be reported.

    Parameters:
      `session` - Bounding session
      `type` - Database type
      `noBaf` - Pass true to retrieve the list without accessing the BAF file of each database
    Throws:
      `TdbException`
    See Also:
      - `TdbDatabaseList(TdbSession, TdbExtendedDatabaseType, TdbDatabaseListType)`

  - ### TdbDatabaseList

    public TdbDatabaseList(TdbSession session, TdbExtendedDatabaseType dbType, TdbDatabaseListType listType) throws TdbException
    Request a list of all databases of the stated type to which the calling process has at least read access.

    Use the 'listType' parameter to indicate the kind of database list to request. To fetch the list with record counts but avoid using the BAF file, set it to 'DatabaseListNoBaf'. This includes the record count, which instead will be reported as the last total number of indexed records (any unindexed records will not be reported). To fetch the list without record counts (and gain a significant performance boost), set this parameter to DatabaseListNoCounts. Unless this parameter is set to Default, the last database update will not be reported.

    Parameters:
      `session` - Bounding session
      `dbType` - Database type to list
      `listType` - The kind of database list to request (influences how and if record count and last update timestamps will be included)
    Throws:
      `TdbException`

  - ### TdbDatabaseList

    public TdbDatabaseList(TdbSession session, String name) throws TdbException
    Request a control object for a single, specific database, thesauri or cluster to which the calling process has at least read access.

    Setting the 'noBaf' parameter to true will result in the information being returned somewhat faster. However, information that is solely stored in the BAF file will not be returned. This includes the record count, which instead will be reported as the last total number of indexed records (any unindexed records will not be reported). Neither will the time for the last database update be reported.

    Note that the 'noBaf' parameter requires TRIPsystem 7.0.1 or later, and that databases must be reindexed with in order for the count of indexed records to be reported.

    Parameters:
      `session` - Bounding session
      `name` - Database name
    Throws:
      `TdbException`

  - ### TdbDatabaseList

    public TdbDatabaseList(TdbSession session, String name, boolean noBaf) throws TdbException
    Request a control object for a single, specific database, thesauri or cluster to which the calling process has at least read access.
    Parameters:
      `session` - Bounding session
      `name` - Database name
      `noBaf` - Pass true to retrieve the list without accessing the BAF file of each database
    Throws:
      `TdbException`